Download it now!
Bug 91251 - FILESAVE: XLSX TextBox overflow property is not getting preserved after Roundtrip
Summary: FILESAVE: XLSX TextBox overflow property is not getting preserved after Round...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Textbox XLSX
  Show dependency treegraph
 
Reported: 2015-05-13 06:01 UTC by darshan.gandhi
Modified: 2019-09-15 20:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Original File (9.38 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-13 06:01 UTC, darshan.gandhi
Details
After Roundtrip File (7.72 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-13 07:38 UTC, darshan.gandhi
Details
Difference in Original and RT files (224.77 KB, image/png)
2015-05-13 08:11 UTC, darshan.gandhi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description darshan.gandhi 2015-05-13 06:01:24 UTC
Created attachment 115538 [details]
Original File

Steps to Reproduce:
1. Create on calc file in Office and insert text into textbox.
2. Verify that text Autofit property "Allow text to overflow shape" is uncheked.
3. Save file in as .xlsx in office.
4. Roundtrip same file in LO
5. After roundtrip verify that Text box text Autofit property "Allow text to overflow shape" is uncheked.

Actual Result
"Allow text to overflow shape" is checked and because of which text from text box pushed on second line.
Expected Result:
"Allow text to overflow shape" is unchecked and text from text box pushed should not be pushed on second line.
Comment 1 darshan.gandhi 2015-05-13 07:38:47 UTC
Created attachment 115544 [details]
After Roundtrip File
Comment 2 darshan.gandhi 2015-05-13 08:11:45 UTC
Created attachment 115545 [details]
Difference in Original and RT files
Comment 3 Jorendc 2015-05-17 09:13:19 UTC
Reproducible, tested using Windows 7.

LibreOffice Version: 5.0.0.0.alpha1+ (x64)
Build ID: 9d0c51daea67104349cac26de9839afa8baeb099
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-15_23:59:35
Locale: nl-BE (nl_BE)

Opened using Word 2010.
Comment 4 Ravindra Vidhate 2015-05-27 08:32:20 UTC
The text from Text Box is not pushed because of the AutoFit propert. But LO writes the default column width around (8.42 or 8.67) for all columns in x:Cols data. 

Because of this, the columns are displayed with the custom width and Text box width is also shrinker also.
Comment 5 Xisco Faulí 2016-09-14 22:42:24 UTC
Hi Ravindra,
I'm setting this ticket back to NEW as it has been inactive for more than 3
months.
Feel free to assign it back to you if you're still working on this.
Regards
Comment 6 QA Administrators 2017-10-24 07:00:06 UTC Comment hidden (obsolete)
Comment 7 Dennis Roczek 2018-04-03 11:30:59 UTC
still repro with

Version: 6.0.1.1 (x64)
Build-ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 8 Regina Henschel 2019-09-15 20:52:48 UTC
Overflow is not yet implemented, see commented out lines
https://opengrok.libreoffice.org/xref/core/oox/source/drawingml/textbodypropertiescontext.cxx?r=e7c0bc48#88